/** 
 *  Yudit Unicode Editor Source File
 *
 *  GNU Copyright (C) 2002  Gaspar Sinai <gsinai@yudit.org>  
 *  GNU Copyright (C) 2001  Gaspar Sinai <gsinai@yudit.org>  
 *  GNU Copyright (C) 2000  Gaspar Sinai <gsinai@yudit.org>  
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2,
 *  dated June 1991. See file COPYYING for details.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "stoolkit/SCharClass.h" 

char* ssCharClass[] = {
    "",   // 0 unknown
    "Lu", // 01 Lu Letter, Uppercase
    "Ll", // 02 Ll Letter, Lowercase
    "Lt", // 03 Lt Letter, Titlecase
    "Mn", // 04 Mn Mark, Non-Spacing
    "Mc", // 05 Mc Mark, Spacing Combining
    "Me", // 06 Me Mark, Enclosing
    "Nd", // 07 Nd Number, Decimal Digit
    "Nl", // 08 Nl Number, Letter
    "No", // 09 No Number, Other
    "Zs", // 0A Zs Separator, Space
    "Zl", // 0B Zl Separator, Line
    "Zp", // 0C Zp Separator, Paragraph
    "Cc", // 0D Cc Other, Control
    "Cf", // 0E Cf Other, Format
    "Cs", // 0F Cs Other, Surrogate
    "Co", // 10 Co Other, Private Use
    "Cn", // 10 Cn Other, Not assigned

// Informative Categories

    "Lm", // 12 Lm Letter, Modifier
    "Lo", // 13 Lo Letter, Other
    "Pc", // 14 Pc Punctuation, Connector
    "Pd", // 15 Pd Punctuation, Dash
    "Ps", // 16 Ps Punctuation, Open
    "Pe", // 17 Pe Punctuation, Close
    "Pi", // 18 Pi Punctuation, Initial quote(may behave like Ps or Pe depending on usage)
    "Pf", // 19 Pf Punctuation, Final quote (may behave like Ps or Pe depending on usage)
    "Po", // 1A Po Punctuation, Other
    "Sm", // 1B Sm Symbol, Math
    "Sc", // 1C Sc Symbol, Currency
    "Sk", // 1D Sk Symbol, Modifier
    "So" // 1E So Symbol, Other
  };
